Organizations
Provision enterprise dedicated API/DB (internal)
POST
/internal/provision-enterpriseSDK setup
Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.
import { Configuration, OrganizationsApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
});
const organizations = new OrganizationsApi(configuration);import { Configuration, OrganizationsApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
});
const organizations = new OrganizationsApi(configuration);Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const { data: result } = await organizations.internalProvisionEnterprise(
{
orgId: "org_Eajxcx8pAm",
provisionRequestId: "UMKboZy6Ui2HD8IA",
apiBaseUrl: "https://flashy-pigpen.biz",
dbRef: "transmitter parse",
serverId: "6lJI68KEAr1XnXc8",
region: "system navigate",
version: "bandwidth compress",
forceOverride: false
}
);const { data: result } = await organizations.internalProvisionEnterprise(
{
orgId: "org_Eajxcx8pAm",
provisionRequestId: "UMKboZy6Ui2HD8IA",
apiBaseUrl: "https://flashy-pigpen.biz",
dbRef: "transmitter parse",
serverId: "6lJI68KEAr1XnXc8",
region: "system navigate",
version: "bandwidth compress",
forceOverride: false
}
);Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
Get your API key from the console
No Request Yet
Send a request to see the full inspector
Authentication
Requires API Key
Note
Include your API key in the
X-API-Key: YOUR_KEY header (server-to-server, SDKs). View authentication guide →Request Body
json
{
"orgId": "org_HiWpAXlSPP",
"provisionRequestId": "aClILl9RYfoGoaIz",
"apiBaseUrl": "https://merry-violin.biz",
"dbRef": "bandwidth hack",
"serverId": "trS5SGgNpHeZ7btS",
"region": "panel generate",
"version": "hard drive copy",
"forceOverride": true
}{
"orgId": "org_HiWpAXlSPP",
"provisionRequestId": "aClILl9RYfoGoaIz",
"apiBaseUrl": "https://merry-violin.biz",
"dbRef": "bandwidth hack",
"serverId": "trS5SGgNpHeZ7btS",
"region": "panel generate",
"version": "hard drive copy",
"forceOverride": true
}Responses
200Applied or idempotent no-op
403not_enterprise_plan
409provision_conflict
Errors
| Code | Meaning |
|---|---|
403 | not_enterprise_plan |
409 | provision_conflict |